{{cookiecutter.project_slug}}VersionFileName = '../src/main/resources/{{cookiecutter.project_slug}}Version.properties'


def get_version():
    with open({{cookiecutter.project_slug}}VersionFileName) as {{cookiecutter.project_slug}}VersionFile:
        versionFileContent = {{cookiecutter.project_slug}}VersionFile.read()
    return versionFileContent[versionFileContent.rindex('version=') + 8:].strip()


def define_env(env):
    """
    This is the hook for defining variables, macros and filters

    - variables: the dictionary that contains the environment variables
    - macro: a decorator function, to declare a macro.
    """
    env.conf['site_name'] = '{{cookiecutter.project_name}} ' + get_version()

    @env.macro
    def {{cookiecutter.project_slug}}_version():
        return get_version()


if __name__ == '__main__':
    print(get_version())
